/**
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2004 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.shell.impl;

import org.logical_paradox.shell.CommandLineParser;
import org.logical_paradox.shell.Shell;
import org.logical_paradox.shell.ShellEnv;

/**
 * 標準的なシェルの実装
 * 通常はこの実装で問題ないはず
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class StandardShell extends Shell {

	/**
	 * コンストラクタ
	 * @throws Exception 処理されなかった例外
	 */
	public StandardShell() throws Exception {
		super();
	}
	/**
	 * コマンドラインパーザーを生成する
	 * @return 生成されたパーザー
	 * @throws Exception パーザーの生成に失敗した場合に発生する例外
	 */
	protected CommandLineParser createCommandLineParser(ShellEnv e) throws Exception {
		return new CommandLineParserImpl(e);
	}
}
